# This spec is backported to ALTLinux 4.1 automatically by rpmbh script. Do not edit it.
Name: gnome-launch-box
Version: 0.4
Release: alt0.M41.1

Summary: An application launcher inspired by MacOS X's Quicksilver
Url: http://developer.imendio.com/projects/%name

License: %gpl2plus
Group: Graphical desktop/GNOME

Source: http://ftp.imendio.com/pub/imendio/%name/src/%name-%version.tar.bz2
Source1: %name.desktop

BuildPreReq: rpm-build-licenses rpm-build-compat
BuildPreReq: rpm-build-gnome >= 0.5

# From configure.ac
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libGConf-devel GConf
BuildPreReq: libgtk+2-devel >= 2.10.0
BuildPreReq: gnome-vfs-devel >= 2.10.0
BuildPreReq: libgnomeui-devel
BuildPreReq: libgnome-menus-devel >= 2.10.0
BuildPreReq: libgnome-desktop-devel >= 2.10.0
BuildPreReq: evolution-data-server-devel >= 1.8
# For custom keybindings
BuildPreReq: gnome-control-center-devel >= 2.20

BuildRequires: libSM-devel

%description
Launch Box is a modular application launcher. It's very influenced by Quicksilver for Mac OSX. Currently supported modules are:

    * Application starting and launch
    * Evolution contacts lookup and mail to
    * Recent files lookup and open
    * Files in your desktop and open
    * Firefox bookmarks lookup and opening

Launch Box is the result of a Hackathon we had at Imendio in the weekend 8th-10th of January. The hackers participating where Anders Carlsson, Mikael Hallendal, Michael Natterer and Richard Hult.

%prep
%setup

%build
%configure
%make_build

%install
%makeinstall_std

# Install an autostart file
install -pD -m644 %SOURCE1 %buildroot%gnome_autostartdir/%name.desktop

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/%name
%dir %_datadir/lb
%dir %_datadir/lb/images
%_datadir/lb/images/lb-*.png
%_datadir/gnome-control-center/keybindings/90-%name.xml
%gnome_autostartdir/%name.desktop
%gconf_schemasdir/%name.schemas

%changelog
* Fri Dec 12 2008 Alexey Rusakov <ktirf@altlinux.org> 0.4-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Sun Dec 09 2007 Alexey Rusakov <ktirf@altlinux.org> 0.4-alt1
- New version (0.4).
- Invoke make install properly (%%make_install instead of %%makeinstall).
- Updated the files list.
- Autostart GNOME Launch Box to have its keybinding enabled (yes this will
  consume your precious memory).

* Tue Aug 21 2007 Alexey Rusakov <ktirf@altlinux.org> 0.2-alt1
- Initial Sisyphus release 

